Make event non-pending and free resources allocated for this event

- « Event::delTimer

- Event::getSupportedMethods »

- PHP Manual
- Event
- Make event non-pending and free resources allocated for this event

# Event::free

(PECL event >= 1.2.6-beta)

Event::free — Make event non-pending and free resources allocated for this event

### Description

public Event::free(): void

Removes event from the list of events monitored by libevent, and free resources allocated for the event.

Warning

The Event::free() method currently doesn't destruct the object itself. To destruct the object completely call unset(), or assign `null`.

### Parameters

This function has no parameters.

### Return Values

No value is returned.

### See Also

- Event::__construct() - Constructs Event object